Integrations
List integrations
Lists connected integrations, the repositories they give access to, and their resources, such as Slack channels and Sentry projects. Use these IDs in automation and tag mode settings. Connect new integrations in the app.
GET
/
integrations
List integrations
curl --request GET \
--url https://superlog.sh/api/v1/integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://superlog.sh/api/v1/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://superlog.sh/api/v1/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integrations": [
{
"displayName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>"
}
],
"repositories": [
{
"defaultBranch": "<string>",
"fullName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"private": true
}
],
"resources": [
{
"displayName": "<string>",
"externalId": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>"
}
]
}{
"error": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}⌘I
List integrations
